﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ProjectCostsCalculator;

namespace ProjectCostsCalculator
{
    public partial class Form1 : Form
    {
        private int ProjetTime = 0, ProgrammersNumber = 0, JameSabeghe = 0, Support = 0, InputNum = 0, OutputNum = 0, Os = 0, ProjectModel = 0, ProgrammingModel = 0,
            Mahiyat = 0, Analiz = 0, SourceCode = 0, Mosharekat=0, HardwareNum = 0;
        public Form1()
        {
            InitializeComponent();
        }


        private void BtnCalculateCost_Click(object sender, EventArgs e)
        {
            ProjetTime = TxtProjectTime.Value;
            ProgrammersNumber = TxtProgrammersNum.Value;
            JameSabeghe = TxtSabeghe.Value;
            Support = TxtSupport.Value;
            InputNum = TxtNumInput.Value;
            OutputNum = TxtNumOutPut.Value;
            Os = (byte)Enum.Parse(typeof(ProjectCostsCalculator.OS), CmbOperatingSystem.Text);
            ProjectModel = (byte)Enum.Parse(typeof(ProjectCostsCalculator.ProjectModel), CmbProjectModel.Text);
            ProgrammingModel=(byte)Enum.Parse(typeof(ProjectCostsCalculator.ProgrammingMethod), CmbProgrammingMethod.Text);
            Mahiyat=(byte)Enum.Parse(typeof(ProjectCostsCalculator.Mahiyat), CmbProjectMahiyat.Text);
            Analiz=(byte)Enum.Parse(typeof(ProjectCostsCalculator.ProjectAnalysis), CmbProjetcAnaliz.Text);
            SourceCode =(byte)Enum.Parse(typeof(ProjectCostsCalculator.SourceCode), CmbProjectSource.Text);
            HardwareNum = TxtHardWareNum.Value;
            Mosharekat=(byte)Enum.Parse(typeof(ProjectCostsCalculator.Mosharekat), CmbMizaneMosharekat.Text.Replace(" ","_"));
            CalculateCosts();
        }

        private void CalculateCosts()
        {
            int A = 0, B = 0, C = 0;
            A = Support + JameSabeghe + ProgrammersNumber + ProjetTime;
            B = (InputNum + OutputNum) * (Os + ProjectModel + ProgrammingModel);
            C = A * B;
            C += (Mahiyat * C / 100);
            C += (Analiz * C / 100);
            C += (SourceCode * C / 100);
            C += (Analiz * C / 100);
            C += (Mosharekat * C / 100);
            C += (((HardwareNum*20) * C) / 100);
            TxtBahaNeshan.Value = C / 1000;
        }

        private void BtnExit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            CmbProjectSource.DataSource =Enum.GetNames(typeof(ProjectCostsCalculator.SourceCode));
            CmbOperatingSystem.DataSource=Enum.GetNames(typeof(ProjectCostsCalculator.OS));
            CmbProgrammingMethod.DataSource=Enum.GetNames(typeof(ProjectCostsCalculator.ProgrammingMethod));
            CmbProjetcAnaliz.DataSource=Enum.GetNames(typeof(ProjectCostsCalculator.ProjectAnalysis));
            CmbProjectModel.DataSource=Enum.GetNames(typeof(ProjectCostsCalculator.ProjectModel));
            CmbProjectMahiyat.DataSource=Enum.GetNames(typeof(ProjectCostsCalculator.Mahiyat));
            foreach (var item in Enum.GetValues(typeof(ProjectCostsCalculator.Mosharekat)))
            {
                CmbMizaneMosharekat.Items.Add(item.ToString().Replace("_"," "));
            }
        }

        private void TxtBahaNeshan_TextChanged(object sender, EventArgs e)
        {
            TxtProjectCost.Value = TxtBahaNeshan.Value * TxtNerkheRoozaneh.Value;
        }

        private void TxtNerkheRoozaneh_TextChanged(object sender, EventArgs e)
        {
            TxtProjectCost.Value = TxtBahaNeshan.Value * TxtNerkheRoozaneh.Value;
        }

    }
}
